<!--section-->
<section>
    <div class="container">
        <div class="row">
            <%#= render 'layouts/sidebar' %>
            <div class="col-md-3 scrollspy hidden-xs  hidden-sm left_sidebar" id="left_sidebar">
                <div class="profile-box sidebar__inner" id="fixed-profile" data-spy="affixs" >
                    <div class="sec1">
                        <div class="background" style="background: url(/assets/profilebg.png) no-repeat left top; background-size: 100%;"></div>
                        <div class="userinfo">
                            <figure>
                                <img src="<%= current_user.user_profile.present? ? current_user.user_profile.url(:medium) : '/assets/default-profile.png' %>" class="img-circle img-responsive" alt="" />

                                <%#= image_tag current_user.user_profile.present? ? current_user.user_profile.url(:medium) : '../default-profile.png', class: 'img-circle img-responsive' %>
                            </figure>
                            <h3><%= current_user.full_name %></h3>
                            <span><%= User.find_by(id: current_user.school_id).try(:full_name) %></span>
                            <p class="linkedin_icon">
                                <a href="/auth/linkedin" class="icon_link"><%= image_tag 'in_icon.png', class: 'img img-responsive', alt: 'Linkedin' %><span class="<%= current_user.linkedIn_id.present? ? 'badge-circle green' : 'badge-circle red' %>"></span></a>
                                <a href="<%= edit_user_path(current_user) %>" class="icon_link resume_link"><%= image_tag current_user.resume.present? ? 'resume-available.png' : 'resume-available.png', class: 'img img-responsive', alt: 'Resume' %><span class="<%= current_user.resume.present? ? 'badge-circle green' : 'badge-circle red' %>"></span></a>
                            </p>
                            <!-- <a class="link font12" href="#">View Profile</a> -->
                        </div>
                    </div>

                        <div class="divider"></div>
                    <div class="sec3">
                        <div class="col-md-12">
                            <ul>
                                <li class="<%= active_class(gameplan_index_path) %>"><a class="" href="<%= gameplan_index_path %>"><i class="gameplan-icon"></i><b>Career Gameplan</b></a></li>
                                <li class="<%= active_class(checklists_path) %>"><a class="" href="<%= checklists_path %>"><i class="checklist-icon"></i><b>Checklists</b></a></li>
                                <li class="<%= active_class(network_trackers_path) %>"><a class="" href="<%= network_trackers_path %>"><i class="tracker-icon"></i><b>Interview Tracker</b></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!--middle-section-->
            <div class="col-md-6 middle_sec" id="middle_sec">
                <div class="articles">
                    <div class='' id="">
                    <!--add-article-->
                        <div class=" add-article">
                            <%= form_for UserPost.new, url: add_post_path, method: :post do |f| %>
                                <label>Ask a question, or share articles and ideas</label>
                                <div class="post-box" style="display: none;"  onload="init();">
                                    <!-- <div class='share-info'> -->
                                        <div class="post-userinfo">
                                            <figure>
                                                <!-- <img src="images/user.png" alt="" class="img-circle" width="50"/> -->
                                                <%= image_tag current_user.user_profile.present? ? current_user.user_profile.url(:medium) : 'default-profile.png', class: 'img-circle', width: '50' %>
                                            </figure>
                                            <h4>
                                                <%= current_user.full_name %><br/>
                                                <small><%= current_user.email %></small>
                                            </h4>
                                        </div>
                                        <%= f.text_area :title, placeholder: "Ask a question, or share articles and ideas", class: 'textarea form-control', onkeyup: "pasteFunction();", onpaste: "pasteFunction();" %>
                                        <%= f.text_area :description, value: f.object.description, hidden: true %>
                                        <%= f.text_field :share_link, value: f.object.share_link, hidden: true %>
                                        <%= text_field_tag :post_title, f.object.title, hidden: true %>
                                        <!-- <textarea autofocus placeholder="Share an article, photo or idea" class="textarea form-control"></textarea> -->
                                        <div class="uploaded-img">
                                            <!-- <input type="file" id="inputfile" style="display: none;"> -->
                                            <%= f.file_field :post_image, id: 'inputfile', style: "display: none" %>
                                            <img src="." alt="" class="img-responsive" id="imgsrc" width="100%" name="image_url" />
                                            <%= f.text_field 'image_url', value: '', hidden: true %>
                                            <%#= image_tag '', class: 'img-responsive', id: 'imgsrc', width: '100%' %>
                                            <!-- <%#= image_tag :image_url, value: ".", class: 'img-responsive', id: 'imgsrc', width:'100%' %> -->
                                            <a href="javascript:void(0)" class="remove-icon" style="display: none;"></a>
                                        </div>

                                        <div class="preview-card">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="card">
                                                        <div class="row">

                                                            <div class="col-md-12">
                                                                <div class="content pull-left">
                                                                    <h4 class='title font-bold'>
                                                                        Title Goes Here
                                                                    </h4>
                                                                    <p class="post_description" name="user_post[description]">
                                                                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
                                                                    </p>
                                                                    <br>

                                                                    <!-- <button class="btn btn-default btn-read">
                                                                        Read more
                                                                    </button> -->
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="clearfix">

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <!-- </div> -->
                                </div>
                                <div class="post-footer">
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <!-- <a href="javascript:void(0)" class="btn btn-theme stroke rounded img-icon" id="uploadimg">Image</a> -->
                                        </div>
                                        <div class="col-xs-6">
                                            <%= f.submit 'Share', class: 'btn btn-theme rounded pull-right share-article' %>
                                            <a href="javascript:void(0)" class="btn btn-submit pull-right">Cancel</a>
                                        </div>
                                    </div>
                                </div>
                            <% end %>
                        </div>
                    </div>
                    <!--/add-article-->

                    <!--article-feeds-->
                    <div class="article-feeds">
                        <!--feed-->
                        <%= render partial: '/home/article_list', locals: { '@posts': @posts } %>
                        <!--/feed-->
                    </div>
                    <!--/article-feeds-->
                    <div id="infinite-scrolling">
                        <%= will_paginate @active_record_posts %>
                    </div>

                </div>
            </div>
            <!--/middle-section-->
            <!--right-section-->
            <div class="col-md-3 scrollspy right_sidebar" id="right_sidebar">
                <div class="favorite-articles sidebar__inner" id="fixed-favorite">
                    <%= render partial: 'list_favorite_articles', locals: { '@favorite_posts': @favorite_posts } %>
                </div>
            </div>
            <!--/right-section-->
        </div>
    </div>
</section>
<!--/section-->
<style>
.card {
    background: #fff;
    display: inline-block;
    border: 1px solid #ddd;
    width: 100%;
    margin-bottom: 15px;
}

.image {
  float: left;
  background: #000;
  width: 25%;
  height: 150px
}

.content {
  float: left;
  height: 140px;
  width: auto;
  overflow: hidden;
  padding: 5px;
}

.content h4 {
  margin: 5px 0;
}
</style>
<script>
    $(document).ready(function(){
        home_sticky_sidebar();
        $('.post-footer .btn-submit').click(function(){
            // alert(1)
            $('.post-box').css("display", "block");
            $('#user_post_title').focus();
            $('.add-article label').css("display", "none");
            $('.post-footer .btn-default').css('display', 'none')
        })
    })
    function isUrlValid(url) {
        return /(http|ftp|https):\/\/[\w-]+(\.[\w-]+)+([\w.,@?^=%&:\/~+#-]*[\w@?^=%&\/~+#-])?/.test(url);
        // console.log(">>>>>>>>", url);
    }
    function pasteFunction(){
        // setTimeout(function(){
            if($('#user_post_title').length > 0){
                // alert()
                // alert($('#user_post_title').val());
                // var val = document.getElementById('user_post_title').value.indexOf('http')
                setTimeout(function(){
                    var val = document.getElementById('user_post_title').value
                    console.log('val---------'+val)
                    if($('#user_post_title').is(':empty')){
                        console.log(isUrlValid(val));
                        if(isUrlValid(val)){
                            $('.loader').show();
                            $.ajax({
                                // url: '/get_link_info?link='+val,
                                url: '/get_link_info?link='+val,
                                method: 'get',
                                dataType: 'json',
                                success: function(response){
                                    console.log("====suceess===");
                                    console.log(response);
                                    // $('#user_post_title').empty()
                                    // $('#user_post_title').val(response['data']['title'])
                                    // $('#user_post_title').append("<br />")
                                    // // document.getElementById('user_post_description').value = response['data']['title']
                                    // // document.getElementById('user_post_title').value = response['data']['description']
                                    // $('#user_post_title').append(response['data']['description'])
                                    $('#imgsrc').attr('src',response['data']['image'])
                                    // // $('#user_post_description').attr('hidden', false)
                                    $('.post_description').empty().append(response['data']['description'])
                                    $('.post-box .title').empty().append(response['data']['title'])
                                    // $('image-preview').empty().html("<img src="+response['data']['image']+" />")
                                    $('#user_post_title').empty()
                                    $('#user_post_title').text(response['data']['title'])
                                    $('#post_title').val(response['data']['title'])
                                    // $('#user_post_title').val(response['data']['title'])
                                    $('#user_post_description').empty().append(response['data']['description'])
                                    $('#user_post_share_link').empty()
                                    $('#user_post_share_link').val(response['data']['url'])
                                    // $('#inputfile').val($('#imgsrc').attr('src'))
                                    $('#user_post_image_url').val($('#imgsrc').attr('src'))

                                    $('.preview-card').show();
                                    $('.share-article').attr('disabled', false)
                                    // $('.share-info').hide()
                                    $('.loader').hide();
                                },
                                failure: function(response){
                                    console.log("====failure===");
                                    console.log(response);
                                }
                            })
                        }else{
                            console.log('texxt');
                            $('.loader').show();
                            $('#user_post_title').empty()
                            $('#user_post_share_link').empty()
                            $('#user_post_description').empty()
                            $('#user_post_image_url').empty()
                            $('#imgsrc').attr('src', '')
                            $('.share-article').attr('disabled', false)
                            $('.preview-card').hide();
                            $('#post_title').val($('#user_post_title').val())
                            $('.loader').hide();
                        }
                    }else{
                        $('#user_post_title').empty()
                        $('#user_post_share_link').empty()
                        $('#user_post_description').empty()
                        $('#user_post_image_url').empty()
                        $('.share-article').attr('disabled', 'disabled')
                        $('.preview-card').hide();
                    }
                }, 100)

            }
        // }, 100)
    }
    $('.post-footer .btn-submit').click(function(){
        $('.post-box').css('display', 'none')
        $('.add-article label').css('display', 'block')
        $('#user_post_title').val('')
        $('#user_post_share_link').val('')
        $('#user_post_description').val('')
        $('#user_post_image_url').val('')
        $('#imgsrc').val('')
        $('#imgsrc').attr('src', '')
        $('.share-article').attr('disabled', 'disabled')
        $('.preview-card').css('display', 'none');
    })
</script>
